View Single Post
Old 10 June 2010, 10:18   #15

FOL's Avatar
Join Date: Nov 2006
Location: Barry / UK
Age: 38
Posts: 5,424
Send a message via MSN to FOL Send a message via Skype™ to FOL
Why anyone would want to use 1.50 is beyond me. Virtually everything has now been made to run on higher firmwares.
Most the of the time, the 1.50 eboots can be converted to a single eboot and they work fine.

DCemu UK have a good list of emulators for PSP, and includes different versions.
FOL is offline  
Page generated in 0.04856 seconds with 9 queries